System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.ICollection<System.Collections.Generic.KeyValuePair<System.ServiceModel.Dispatcher.MessageFilter,TFilterData>> System.Collections.Generic.IDictionary<System.ServiceModel.Dispatcher.MessageFilter,TFilterData> System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<System.ServiceModel.Dispatcher.MessageFilter,TFilterData>> System.ServiceModel.Dispatcher.IMessageFilterTable<TFilterData> System.Runtime.Serialization.DataContract To be added.

A accepts filters of any type. It groups them internally into tables that contain all the filters of a given type. When a filter is added, it is put into an internal filter table, if one already exists, which contains filters of its type. If no such table exists, is called to allocate a new filter table of the appropriate type. Its default operation is to call .

This default behavior can be overridden to explicitly specify the type of filter table associated with a type of filter. The first time a filter type is added to the table, the filter table type created is permanently associated with the filter type.

The priority is an integer value used to group filters into priority buckets and order their processing. The larger the integer assigned to a filter type, the higher its priority for processing. All the filter tables in a priority bucket are evaluated together. Lower priority buckets are only evaluated if higher priority buckets do not provide any matches. A filter table assigns a default priority that can be set to filters being added.

Provides the generic implementation of a filter table.

- Constructor
  4.0.0.0

  The larger the integer assigned to a filter table, the higher its priority for use in inspecting messages for a match. The default priority can be specified using .

  Initializes a new instance of the class with a default priority of 0.

- Constructor
  4.0.0.0
  To be added.

  The larger the integer assigned to a filter table, the higher its priority for use in inspecting messages for a match. The default constructor assigns a of 0.

  Initializes a new instance of the class with the specified initial default priority.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void

  This method implements .

  Removes all filters and their associated data from the filter table.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean ``

  This method implements the ContainsKey method of .

  Determines whether the filter table contains a specified filter.

  true if the is contained in the filter table; otherwise false.

  The being tested for.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added.

  This property implements .

  Gets the number of filter/ pairs in the filter table.

- Method
  4.0.0.0
  System.ServiceModel.Dispatcher.IMessageFilterTable<TFilterData> `` To be added.

  Instantiates a filter table for a specified type of filter.

  The that is created that contains the specified filter.

  The to be contained in the filter table created.
- Property
  4.0.0.0
  System.Runtime.Serialization.DataMember
  System.Int32 To be added.

  The default priority is the priority automatically assigned a filter added to the filter table if no priority is explicitly specified. The priority of a filter is an integer value used to group filters into buckets that are used to order their processing. The larger the integer assigned to a filter type, the higher its priority for processing. All the filter tables in a priority bucket are evaluated together. Lower priority buckets are only evaluated if higher priority buckets do not provide any matches.

  Gets or sets the default priority for the filter table.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Collections.Generic.KeyValuePair<System.ServiceModel.Dispatcher.MessageFilter,TFilterData>>

  This method implements the GetEnumerator method of .

  Returns an enumerator that iterates through the filter table.

  An <KeyValuePair<Filter, >> that can be used to iterate through the filter table.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` ``

  Use this method when more than one filter is expected to match the message and the matching filters are required.

  This method tests for all of the matching filters in the highest priority bucket of filters in which at least one match occurs.

  The filters in the table are not allowed to inspect the message body.

  The matching objects are stored in the parameter of . The can then be recovered from the filter table using these filters as keys with the methods provided by .

  This method implements .

  Returns a value that indicates whether the match criterion of an in the table is satisfied by the specified message, and adds the matching filters to a collection.

  true if match criterion of at least one in the table is satisfied by ; false if no filter is satisfied.

  The to test. The reference parameter that stores the objects that match in <Filter>.
- Method
  4.0.0.0
  System.Boolean `` ``

  Use this method when more than one filter is expected to match the buffered message and the matching filters are required.

  The filters in the table are allowed to inspect the message body.

  The matching objects are stored in the parameter of . The can then be recovered from the filter table using these filters as keys with the methods provided by .

  This method implements .

  Returns a value that indicates whether the match criterion of at least one filter in the table is satisfied by the specified buffered message and adds the matching filters from the highest priority set of filters in which at least one match is found to a collection.

  true if match criterion of at least one filter in the table is satisfied by ; false if no filter is satisfied.

  The to test. The reference parameter that stores the objects that match in <Filter>.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 ``

  The priority is an integer value used to group filters into priority buckets and order their processing. The larger the integer assigned to a filter type, the higher its priority for processing. All the filter tables in a priority bucket are evaluated together. Lower priority buckets are only evaluated if higher priority buckets do not provide any matches.

  Returns the priority of a given filter in the table.

  The priority of the .

  The contained in the filter table created.
- Property
  4.0.0.0
  System.Boolean To be added.

  A must not be read-only.

  Gets a value that indicates whether the filter table is read-only.

- Property
  4.0.0.0
  TFilterData `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.ServiceModel.Dispatcher.MessageFilter> To be added.

  This property implements . The <Filter, > that the filter table implements uses the as the key and the as the value of the pair.

  The order of the filters returned in the collection is unspecified, but it is guaranteed to be the same order as the corresponding in the collection returned by the property.

  Gets a collection of all the filters contained in the filter table.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean ``

  This method implements .

  Removes a filter and its associated from the filter table.

  true if the filter was found and removed; false if it was not found.

  The to remove.
- Method
  4.0.0.0
  System.Collections.IEnumerator

  This method implements .

  Returns an enumerator that iterates through the filter table.

  An that can be used to iterate through the filter table.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<TFilterData> To be added.

  This property implements . The <Filter, > that the filter table implements uses the as the key and the as the value of the pair.

  The order of the returned in the collection is unspecified, but it is guaranteed to be the same order as the corresponding filters in the collection returned by the property.

  Gets a collection of all the contained in the filter table.